org.eclipse.graphiti.ui.internal.parts.directedit

## Class GFCellEditorValidator

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.parts.directedit.GFCellEditorValidator

All Implemented Interfaces:
  ICellEditorValidator

    public class GFCellEditorValidator
    extends Object
    implements ICellEditorValidator

### Constructor Summary

Constructors
Constructor and Description
`GFCellEditorValidator(IDirectEditHolder directEditHolder, CellEditor cellEditor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `isValid(Object value)`
`String` `isValidProposal(Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFCellEditorValidator

    public GFCellEditorValidator(IDirectEditHolder directEditHolder,
                                 CellEditor cellEditor)

### Method Detail

#### isValid

    public String isValid(Object value)

Specified by:
  `isValid` in interface `ICellEditorValidator`

#### isValidProposal

    public String isValidProposal(Object value)